## org.apache.axis.handlers
Class HandlerInfoChainFactory

    java.lang.Object
      org.apache.axis.handlers.HandlerInfoChainFactory

All Implemented Interfaces:
  java.io.Serializable

public class HandlerInfoChainFactory
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String[]` `_roles`
`protected java.util.List` `handlerInfos`

Constructor Summary
`HandlerInfoChainFactory()`
`HandlerInfoChainFactory(java.util.List handlerInfos)`

Method Summary
`HandlerChain` `createHandlerChain()`
`java.util.List` `getHandlerInfos()`
`java.lang.String[]` `getRoles()`
`void` `init(java.util.Map map)`
`void` `setRoles(java.lang.String[] roles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handlerInfos

    protected java.util.List handlerInfos

### _roles

    protected java.lang.String[] _roles

Constructor Detail

### HandlerInfoChainFactory

    public HandlerInfoChainFactory()

### HandlerInfoChainFactory

    public HandlerInfoChainFactory(java.util.List handlerInfos)

Method Detail

### getHandlerInfos

    public java.util.List getHandlerInfos()

### createHandlerChain

    public HandlerChain createHandlerChain()

### getRoles

    public java.lang.String[] getRoles()

### setRoles

    public void setRoles(java.lang.String[] roles)

### init

    public void init(java.util.Map map)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.